import de.cinderella.api.cs.CindyScript;
import de.cinderella.api.cs.CindyScriptPlugin;

import java.awt.*;
import java.util.ArrayList;
import java.util.Arrays;


public class ExamplePlugin extends CindyScriptPlugin {

    public String getName() {
        return "Example Plugin";
    }

    public String getAuthor() {
        return "Ulrich Kortenkamp";
    }

    @CindyScript("sayHello")
    public String testFunction() {
        return "Hello from Plugin";
    }

    @CindyScript("systemproperty")
    public String getUserID(String s) {
        return System.getProperty(s);
    }

    @CindyScript("square")
    public double quadrieren(double x) {
        return x * x;
    }

    @CindyScript("grayvalue")
    public double getGray(Color c) {
        return (c.getBlue() + c.getRed() + c.getGreen()) / 3.;
    }

    @CindyScript("testarray")
    public String writeArray(ArrayList<Double> al) {
        return Arrays.toString(al.toArray());
    }

}
